<template>
  <div class="tm-page-container mx-auto">
    <Header></Header>
    <div class="tm-section">
      <Nav galeria="active"></Nav>
      <div class="tm-content-container">
        <div class="tm-content tm-content-2">
          <h2>Tecnologías que he manejado:</h2>
          <div class="container-fluid">
            <div class="row tm-gallery" id="tmGallery">
              <div
                class="col-sm-6 tm-gallery-item"
                v-for="item of this.arrayImages"
                v-bind:key="item.id"
                @click="showImage(item.imageNumber, item.msg, item.subtitle)"
              >
                <figure class="effect-bubba">
                  <img
                    v-bind:src="
                      require('../assets/img/gallery/gallery-img-0' +
                        item.imageNumber +
                        '.jpg')
                    "
                    alt="Gallery item"
                    class="img-fluid"
                  />
                  <figcaption>
                    <h2>{{ item.title }}</h2>
                    <p>{{ item.subtitle }}</p>
                  </figcaption>
                </figure>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <Footer></Footer>
  </div>
</template>
<script>
import Header from "./Header.vue";
import Footer from "./Footer.vue";
import Nav from "./Nav.vue";
import { mapState } from "vuex";
import Swal from "sweetalert2";
export default {
  name: "Gallery",
  components: {
    Header,
    Footer,
    Nav,
  },
  computed: {
    ...mapState(["arrayImages"]),
  },
  methods: {
    showImage(imageNumber, msg, title) {
      Swal.fire({
        title: title,
        text: msg,
        imageUrl: require("../assets/img/gallery/gallery-img-0" +
          imageNumber +
          ".jpg"),
        imageHeight: 300,
        imageAlt: `image ${imageNumber}`,
      });
    },
  },
};
</script>

<style></style>
